%global pypi_name mox3

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 7
Group:          Development/Python
Summary:        Mock object framework for Python
License:        ASLv2
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         mox-1.1.0-requirement.patch
BuildArch:      noarch

%description
Mox3 is an unofficial port of the Google mox framework to Python 3. It
was meant to be as compatible with mox as possible, but small enhancements
have been made.

%package -n python3-%{pypi_name}
Summary:        Mock object framework for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description -n python3-%{pypi_name}
Mox3 is an unofficial port of the Google mox framework to Python 3. It
was meant to be as compatible with mox as possible, but small enhancements
have been made.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mox3

%files -n python3-%{pypi_name} -f %{pyproject_files}


%changelog
* Mon Feb 19 2024 papoteur <papoteur> 1.1.0-7.mga10
+ Revision: 2042514
- rebuild for python 3.12

* Thu Nov 24 2022 papoteur <papoteur> 1.1.0-6.mga9
+ Revision: 1910847
- Fix BR
  port to pyproject macros

* Fri Jun 24 2022 papoteur <papoteur> 1.1.0-5.mga9
+ Revision: 1865735
- Mass Rebuild for dependencies

* Thu Mar 24 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1825031
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 1.1.0-3.mga9
+ Revision: 1783735
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 1.1.0-2.mga9
+ Revision: 1706758
- rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.1.0-1.mga8
+ Revision: 1626377
- new version 1.1.0

* Sun Feb 16 2020 umeabot <umeabot> 0.27.0-2.mga8
+ Revision: 1535063
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 0.27.0-1.mga8
+ Revision: 1450855
- new version: 0.27.0

* Wed Sep 18 2019 tv <tv> 0.26.0-2.mga8
+ Revision: 1443254
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.26.0-1.mga7
+ Revision: 1353382
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.25.0-2.mga7
+ Revision: 1289203
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix Source0 link
- Create and use py3dir

* Wed Mar 21 2018 kekepower <kekepower> 0.25.0-1.mga7
+ Revision: 1210919
- Update to version 0.25.0
- Renamed python-mox3 to python2-mox3

* Wed Oct 04 2017 tv <tv> 0.13.0-3.mga7
+ Revision: 1168590
- BR pythonX-pbr thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.13.0-2.mga7
+ Revision: 1135502
- Rebuild for python 3.6

* Tue Jan 19 2016 daviddavid <daviddavid> 0.13.0-1.mga6
+ Revision: 925794
- new version: 0.13.0
- use new python macros

* Sat Oct 10 2015 tv <tv> 0.9.0-2.mga6
+ Revision: 889154
- rebuild for python 3.5

* Tue Sep 01 2015 fwang <fwang> 0.9.0-1.mga6
+ Revision: 871875
- imported package python-mox3

